# Interface TestTaskReports

All Superinterfaces:
  `Collection<Report>, Configurable<ReportContainer<Report>>, DomainObjectCollection<Report>, DomainObjectSet<Report>, Iterable<Report>, NamedDomainObjectCollection<Report>, NamedDomainObjectSet<Report>, ReportContainer<Report>, Set<Report>`

public interface TestTaskReports extends ReportContainer<Report>
The reports produced by the `Test` task.

Since:
  1.7

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DirectoryReport`
  `getHtml()`
  A HTML report indicate the results of the test execution.
  `JUnitXmlReport`
  `getJunitXml()`
  The test results in "JUnit XML" format.

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface Configurable

  `configure`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface ReportContainer

  `getAsMap, getElements, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### getHtml

    @Internal DirectoryReport getHtml()
    A HTML report indicate the results of the test execution.
    Returns:
      The HTML report
    Since:
      1.7

  - ### getJunitXml

    @Internal JUnitXmlReport getJunitXml()
    The test results in "JUnit XML" format.
    Returns:
      The test results in "JUnit XML" format
    Since:
      1.7